Fapi_GetInfo
Feature API

## Functions

TSS2_RC | Fapi_GetInfo (FAPI_CONTEXT *context, char **info)
TSS2_RC | Fapi_GetInfo_Async (FAPI_CONTEXT *context)
TSS2_RC | Fapi_GetInfo_Finish (FAPI_CONTEXT *context, char **info)

## Detailed Description

FAPI functions to invoke GetInfo either as one-call or in an asynchronous manner.

## Function Documentation

## Fapi_GetInfo()

TSS2_RC Fapi_GetInfo | ( | FAPI_CONTEXT * | context,
|  | char ** | info )

One-Call function for Fapi_GetInfo

Returns a UTF-8 encoded string that identifies the versions of FAPI, TPM, configurations and other relevant information.

Parameters

  [in,out] | context | The FAPI_CONTEXT
  [out] | info | The byte buffer for the information string

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_REFERENCE | if context or info is NULL.
  TSS2_FAPI_RC_BAD_CONTEXT | if context corruption is detected.
  TSS2_FAPI_RC_BAD_SEQUENCE | if the context has an asynchronous operation already pending.
  TSS2_FAPI_RC_IO_ERROR | if the data cannot be saved.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory for internal operations or return parameters.
  TSS2_FAPI_RC_NO_TPM | if FAPI was initialized in no-TPM-mode via its config file.
  TSS2_FAPI_RC_TRY_AGAIN | if an I/O operation is not finished yet and this function needs to be called again.
  TSS2_FAPI_RC_GENERAL_FAILURE | if an internal error occurred.
  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_ESYS_RC_* | possible error codes of ESAPI.

## Fapi_GetInfo_Async()

TSS2_RC Fapi_GetInfo_Async | ( | FAPI_CONTEXT * | context | ) |

Asynchronous function for Fapi_GetInfo

Returns a UTF-8 encoded string that identifies the versions of FAPI, TPM, configurations and other relevant information.

Call Fapi_GetInfo_Finish to finish the execution of this command.

Parameters

  [in,out] | context | The FAPI_CONTEXT

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_REFERENCE | if context is NULL.
  TSS2_FAPI_RC_BAD_CONTEXT | if context corruption is detected.
  TSS2_FAPI_RC_BAD_SEQUENCE | if the context has an asynchronous operation already pending.
  TSS2_FAPI_RC_IO_ERROR | if the data cannot be saved.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory for internal operations or return parameters.
  TSS2_FAPI_RC_NO_TPM | if FAPI was initialized in no-TPM-mode via its config file.

## Fapi_GetInfo_Finish()

TSS2_RC Fapi_GetInfo_Finish | ( | FAPI_CONTEXT * | context,
|  | char ** | info )

Asynchronous finish function for Fapi_GetInfo

This function should be called after a previous Fapi_GetInfo_Async.

Parameters

  [in,out] | context | The FAPI_CONTEXT
  [out] | info | The byte buffer for the information string

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_REFERENCE | if context or info is NULL.
  TSS2_FAPI_RC_BAD_CONTEXT | if context corruption is detected.
  TSS2_FAPI_RC_BAD_SEQUENCE | if the context has an asynchronous operation already pending.
  TSS2_FAPI_RC_IO_ERROR | if the data cannot be saved.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory for internal operations or return parameters.
  TSS2_FAPI_RC_TRY_AGAIN | if the asynchronous operation is not yet complete. Call this function again later.
  TSS2_FAPI_RC_GENERAL_FAILURE | if an internal error occurred.
  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_ESYS_RC_* | possible error codes of ESAPI.